package com.jwl.driver.server.controller;


import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jwl.driver.server.entity.TdSysConfigList;
import com.jwl.driver.server.response.BaseResponse;
import com.jwl.driver.server.service.ITdSysConfigListService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统配置列表; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "字典值列表配置")
@RestController
@RequestMapping("/tdSysConfigList")
@Slf4j
public class TdSysConfigListController {

    @Autowired
    private ITdSysConfigListService configListService;

    /**
     * 根据configKey和carTypeId查询系统配置列表
     */
    @ApiOperation("根据configKey和carTypeId查询系统配置列表")
    @GetMapping("/querySysConfigList")
    public BaseResponse querySysConfigList(@RequestParam("configKey") String configKey, @RequestParam("carTypeId") Integer carTypeId) {
        log.info("request to querySysConfigList ：{}", configKey);
        List<TdSysConfigList> resultList = configListService.querySysConfigList(configKey, carTypeId);
        return BaseResponse.success(resultList);
    }

    /**
     * 通过多个配置key 和 carTypeId 查询多个配置列表
     */
    @ApiOperation("通过多个配置key 和 carTypeId 查询多个配置列表")
    @GetMapping("/querySysConfigMap")
    public BaseResponse querySysConfigMap(@RequestParam("configKeys") String configKeys, @RequestParam("carTypeId") Integer carTypeId) {
        log.info("request to querySysConfigList ：{}", configKeys);
        Map<String, Map<String, String>> map = configListService.querySysConfigMap(Arrays.asList(configKeys.split(",")), carTypeId);
        return BaseResponse.success(map);
    }


}
