package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author 曹林
 * @description 登陆入参
 * @create 2023/8/11 22:21
 */
@Data
@Accessors(chain = true)
public class DriverSchoolDto {

    @ApiModelProperty(value = "驾校id",required = true)
    @NotNull(message = "驾校id不能为空")
    private Long schoolId;

    @ApiModelProperty(value = "驾校名称",required = true)
    @NotBlank(message = "驾校名称不能为空")
    private String schoolName;

    @ApiModelProperty(value = "驾校联系方式",required = false)
    private String schoolPhone;


}
