package com.jwl.driver.server.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 题库查询入参;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@Accessors(chain = true)
@ApiModel("题目查询入参")
public class QuestionQueryDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @ApiModelProperty("题目标识")
    private Long questionId;

    /**
     * 题目标识列表
     */
    @ApiModelProperty("题目标识列表")
    private List<Long> questionIdList;

    /**
     * 题型分类
     */
    @ApiModelProperty("题型分类")
    private String category;

    /**
     * 章节标识
     */
    @ApiModelProperty("章节标识")
    private String chapter;

    /**
     * 所属科目，1:科目1，2:科目4
     */
    @ApiModelProperty("所属科目，1:科目1，2:科目4")
    private String subject;

    /**
     * 车型
     */
    @ApiModelProperty("车型")
    private Integer carTypeId;

    /**
     * 题型: 单选 多选 判断题
     */
    @ApiModelProperty("题型: 单选 多选 判断题")
    private String type;

    /**
     * 专项练习类型
     */
    @ApiModelProperty("专项练习类型")
    private String cid;

    /**
     * 考点
     */
    @ApiModelProperty("考点")
    private String point;

    /**
     * 获取题数
     */
    @ApiModelProperty("获取题数")
    private int Num;

    /**
     * 题目
     */
    @ApiModelProperty("题目")
    private String question;

}
