package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 题库;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @TableId(value = "QUESTION_ID", type = IdType.AUTO)
    private Long questionId;

    /**
     * 题目内容
     */
    @TableField("QUESTION")
    private String question;

    /**
     * 选项A
     */
    @TableField("CHOOSE_A")
    private String chooseA;

    /**
     * 选项B
     */
    @TableField("CHOOSE_B")
    private String chooseB;

    /**
     * 选项C
     */
    @TableField("CHOOSE_C")
    private String chooseC;

    /**
     * 选项D
     */
    @TableField("CHOOSE_D")
    private String chooseD;

    /**
     * 选项E
     */
    @TableField("CHOOSE_E")
    private String chooseE;

    /**
     * 选项F
     */
    @TableField("CHOOSE_F")
    private String chooseF;

    /**
     * 选项G
     */
    @TableField("CHOOSE_G")
    private String chooseG;

    /**
     * 正确答案
     */
    @TableField("TRUE_ANSWER")
    private String trueAnswer;

    /**
     * 未知
     */
    @TableField("CIDS")
    private String cids;

    /**
     * 题型分类
     */
    @TableField("CATEGORY")
    private String category;

    /**
     * 题目图片url
     */
    @TableField("IMAGE_URL")
    private String imageUrl;

    /**
     * 未知
     */
    @TableField("SOHU_IMG")
    private String sohuImg;

    /**
     * 最佳回答
     */
    @TableField("BEST_ANSWER")
    private String bestAnswer;

    /**
     * 章节标识
     */
    @TableField("CHAPTER")
    private String chapter;

    /**
     * 所属科目，1:科目1，2:科目4
     */
    @TableField("SUBJECT")
    private String subject;

    /**
     * 选择
     */
    @TableField("OPTIONS")
    private String options;

    /**
     * 题目类型，1：选择题 2：判断题，3：多选题
     */
    @TableField("TYPE")
    private String type;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private int showOrder;

    /**
     * 车型
     */
    @TableField("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;


    /**
     * 是否易错
     */
    @TableField("IS_ERROR")
    private Integer isError;
    /**
     * 是否v新规
     */
    @TableField("IS_NEW")
    private Integer isNew;
    /**
     * 考点
     */
    @TableField("EXAM_KEYS")
    private String examKeys;

    /**
     * 是否精讯500题
     */
    @TableField("IS_VIP")
    private Integer isVip;

    /**
     * 是否精讯600题
     */
    @TableField("IS_VIP2")
    private Integer isVip2;

    /**
     * 是否密卷1
     */
    @TableField("IS_EXAM1")
    private Integer isExam1;

    /**
     * 是否密卷2
     */
    @TableField("IS_EXAM2")
    private Integer isExam2;

}
