package com.jwl.driver.server.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 曹林
 * @description 支付状态
 * @create 2023/8/20 1:19
 */
public enum PayStatus {
    NOT(1, "未支付"),
    SUCCESS(2, "支付成功"),
    FAIL(3, "支付失败");

    private Integer value;
    private String name;
    public static final Map<Integer, PayStatus> valueMap = new HashMap();

    public static PayStatus fromValue(Integer value) {
        return (PayStatus)valueMap.get(value);
    }

    private PayStatus(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }

    static {
        PayStatus[] var0 = values();
        int var1 = var0.length;

        for(int var2 = 0; var2 < var1; ++var2) {
            PayStatus value = var0[var2];
            valueMap.put(value.getValue(), value);
        }

    }
}
