package com.jwl.driver.server.mapper;

import com.jwl.driver.server.dto.MemberQueryDto;
import com.jwl.driver.server.entity.TdMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jwl.driver.server.vo.MemberVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员类型表; Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface TdMemberMapper extends BaseMapper<TdMember> {

    /**
     * 获取会员列表
     * @param queryDto
     * @return
     */
    List<MemberVo> queryMember(@Param("queryDto") MemberQueryDto queryDto);

    /**
     * 获取用户会员
     * @param queryDto
     * @param userId
     * @return
     */
    List<MemberVo> queryUserMember(@Param("queryDto") MemberQueryDto queryDto, @Param("userId") Long userId);
}
