package com.jwl.driver.server.service;

import com.jwl.driver.server.entity.TdSysConfigList;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统配置列表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdSysConfigListService extends IService<TdSysConfigList> {

    /**
     * 根据configKey和carTypeId查询系统配置列表
     * @param configKey
     * @param carTypeId
     * @return
     */
    List<TdSysConfigList> querySysConfigList(String configKey, Integer carTypeId);

    /**
     * 通过多个配置key 和 carTypeId 查询多个配置列表
     * @param configKeyList
     * @param carTypeId
     * @return
     */
    Map<String, Map<String, String>> querySysConfigMap(List<String> configKeyList, Integer carTypeId);
}
