package com.jwl.driver.server.service;

import com.jwl.driver.server.entity.TdSysConfig;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统配置表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ITdSysConfigService extends IService<TdSysConfig> {

    /**
     * 根据配置key和carTypeId获取配置信息,配置与车型无关则carTypeId为-1
     * @param configKey
     * @param carTypeId
     * @return
     */
    TdSysConfig queryConfigByKey(String configKey, Integer carTypeId);

    /**
     * 根据配置key和carTypeId获取配置值,配置与车型无关则carTypeId为-1
     * @param configKey
     * @param carTypeId
     * @return
     */
    String queryConfigValueByKey(String configKey,Integer carTypeId);

    /**
     * 根据配置keys和carTypeId获取配置信息,配置与车型无关则carTypeId为-1
     * @param configKeyList
     * @param carTypeId
     * @return
     */
    Map<String, TdSysConfig> queryConfigByKeys(List<String> configKeyList,Integer carTypeId);
}
