package com.jwl.driver.server.service.impl;

import com.jwl.driver.server.dto.SecurityUser;
import com.jwl.driver.server.dto.TestSubmitDto;
import com.jwl.driver.server.entity.TdQuestionTest;
import com.jwl.driver.server.mapper.TdQuestionTestMapper;
import com.jwl.driver.server.service.ITdQuestionTestService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jwl.driver.server.util.SecurityUtil;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;

/**
 * <p>
 * 模拟考试成绩表; 服务实现类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Service
public class TdQuestionTestServiceImpl extends ServiceImpl<TdQuestionTestMapper, TdQuestionTest> implements ITdQuestionTestService {

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean testSubmit(TestSubmitDto submitDto) {

        TdQuestionTest questionTest = new TdQuestionTest();
        BeanUtils.copyProperties(submitDto,questionTest);
        questionTest.setUserId(SecurityUtil.getUserId())
                .setCreateTime(LocalDateTime.now());

        return this.save(questionTest);
    }
}
